Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client
Class Window.Location

    java.lang.Object
      com.google.gwt.user.client.Window.Location

Enclosing class:
  Window

    public static class Window.Location

extends java.lang.Object

This class provides access to the browser's location's object. The location object contains information about the current URL and methods to manipulate it. `Location` is a very simple wrapper, so not all browser quirks are hidden from the user.

Method Summary
`static void` | `assign(java.lang.String newURL)` Assigns the window to a new URL.
`static java.lang.String` | `getHash()` Gets the string to the right of the URL's hash.
`static java.lang.String` | `getHost()` Gets the URL's host and port name.
`static java.lang.String` | `getHostName()` Gets the URL's host name.
`static java.lang.String` | `getHref()` Gets the entire URL.
`static java.lang.String` | `getParameter(java.lang.String name)` Gets the URL's parameter of the specified name.
`static java.lang.String` | `getPath()` Gets the path to the URL.
`static java.lang.String` | `getPort()` Gets the URL's port.
`static java.lang.String` | `getProtocol()` Gets the URL's protocol.
`static java.lang.String` | `getQueryString()` Gets the URL's query string.
`static void` | `reload()` Reloads the current browser window.
`static void` | `replace(java.lang.String newURL)` Replaces the current URL with a new one.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### assign

    public static void assign(java.lang.String newURL)

  Assigns the window to a new URL. All GWT state will be lost.

  Parameters:
    `newURL` - the new URL

### getHash

    public static java.lang.String getHash()

  Gets the string to the right of the URL's hash.

  Returns:
    the string to the right of the URL's hash.

### getHost

    public static java.lang.String getHost()

  Gets the URL's host and port name.

  Returns:
    the host and port name

### getHostName

    public static java.lang.String getHostName()

  Gets the URL's host name.

  Returns:
    the host name

### getHref

    public static java.lang.String getHref()

  Gets the entire URL.

  Returns:
    the URL

### getParameter

    public static java.lang.String getParameter(java.lang.String name)

  Gets the URL's parameter of the specified name.

  Parameters:
    `name` - the name of the URL's parameter
  Returns:
    the value of the URL's parameter

### getPath

    public static java.lang.String getPath()

  Gets the path to the URL.

  Returns:
    the path to the URL.

### getPort

    public static java.lang.String getPort()

  Gets the URL's port.

  Returns:
    the URL's port

### getProtocol

    public static java.lang.String getProtocol()

  Gets the URL's protocol.

  Returns:
    the URL's protocol.

### getQueryString

    public static java.lang.String getQueryString()

  Gets the URL's query string.

  Returns:
    the URL's query string

### reload

    public static void reload()

  Reloads the current browser window. All GWT state will be lost.

### replace

    public static void replace(java.lang.String newURL)

  Replaces the current URL with a new one. All GWT state will be lost. In the browser's history, the current URL will be replaced by the new URL.

  Parameters:
    `newURL` - the new URL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD